• Русский
  • Description
    ManualGrayRelease is the Schema for the ManualGrayRelease API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ManualGrayReleaseSpec defines the desired state of ManualGrayRelease

    statusobject

    ManualGrayReleaseStatus defines the observed state of ManualGrayRelease

    .spec

    Description
    ManualGrayReleaseSpec defines the desired state of ManualGrayRelease
    Type
    object
    Required
    deliverTypedesiredStepfromgrayWorkloadsrollBacktargetRef
    PropertyTypeDescription
    deliverTypestring

    deliver type, canary or ab or others

    desiredStepstring

    whether the canary deliver is form table or yaml creat

    fromstring

    whether the canary deliver is form table or yaml creat

    grayWorkloadsarray
    rollBackboolean

    check for if should cancle gray release

    targetRefobject

    TargetRef references a target resource

    .spec.grayWorkloads

    Type
    array

    .spec.grayWorkloads[]

    Type
    object
    Required
    suffixtemplateSpec
    PropertyTypeDescription
    replicasinteger

    Name of the referent

    suffixstring

    canary resources suffix

    templateSpecstring

    the workload template spec

    .spec.targetRef

    Description
    TargetRef references a target resource
    Type
    object
    Required
    name
    PropertyTypeDescription
    apiVersionstring

    API version of the referent

    kindstring

    Kind of the referent

    namestring

    Name of the referent

    namespacestring

    Namespace of the referent

    .status

    Description
    ManualGrayReleaseStatus defines the observed state of ManualGrayRelease
    Type
    object
    Required
    phase
    PropertyTypeDescription
    conditionsarray
    grayWorkloadDeployTimestring

    GrayWorkloadDeployTime of this condition

    grayWorkloadReadyTimestring

    GrayWorkloadReadyTime of this condition

    phasestring

    ManualGrayPhase is a label for the condition of a canary at the current time

    targetRefApplyTimestring

    TargetRefApplyTime of this condition

    targetRefReadyTimestring

    TargetRefReadyTime of this condition

    .status.conditions

    Type
    array

    .status.conditions[]

    Description
    ManualCanaryCondition is a status condition for a Canary
    Type
    object
    Required
    step
    PropertyTypeDescription
    errstring

    err if the target not valid

    lastTransitionTimestring

    LastTransitionTime of this condition

    messagestring

    Message associated with this condition

    phasestring

    phase of this condition

    startTimestring

    StartTime of this condition

    stepstring

    Type of this condition

    API Endpoints

    The following API endpoints are available:

    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayreleases
      • DELETE: delete collection of ManualGrayRelease
      • GET: list objects of kind ManualGrayRelease
      • POST: create a new ManualGrayRelease
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayreleases/{name}
      • DELETE: delete the specified ManualGrayRelease
      • GET: read the specified ManualGrayRelease
      • PATCH: partially update the specified ManualGrayRelease
      • PUT: replace the specified ManualGrayRelease
    • /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayreleases/{name}/status
      • GET: read status of the specified ManualGrayRelease
      • PATCH: partially update status of the specified ManualGrayRelease
      • PUT: replace status of the specified ManualGrayRelease

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayreleases

    HTTP method
    DELETE
    Description
    delete collection of ManualGrayRelease
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ManualGrayRelease
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayReleaseList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ManualGrayRelease
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyManualGrayRelease schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    201 - CreatedManualGrayRelease schema
    202 - AcceptedManualGrayRelease schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayreleases/{name}

    HTTP method
    DELETE
    Description
    delete the specified ManualGrayRelease
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ManualGrayRelease
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ManualGrayRelease
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ManualGrayRelease
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyManualGrayRelease schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    201 - CreatedManualGrayRelease schema
    401 - UnauthorizedEmpty

    /apis/asm.alauda.io/v1alpha1/namespaces/{namespace}/manualgrayreleases/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ManualGrayRelease
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ManualGrayRelease
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ManualGrayRelease
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyManualGrayRelease schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKManualGrayRelease schema
    201 - CreatedManualGrayRelease schema
    401 - UnauthorizedEmpty